Plot HomeDocumentation
Posts

Create Post

Creates a new post on the specified entity

POST
/v1/posts

Creates a new post on the specified entity

Query Parameters

expand?|||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (images,reactions,owner)

Default"all"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/posts" \  -H "Content-Type: application/json" \  -d '{    "entityType": "task",    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",    "content": "string"  }'
{  "id": "string",  "publicId": "string",  "content": "string",  "action": "string",  "actionValue": "string",  "entityId": "string",  "entityType": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "ownerId": "string",  "parentId": "string",  "isResolved": true,  "entityTitle": "string",  "entityUrl": "string",  "postUrl": "string",  "images": [    {      "id": "string",      "key": "string",      "width": 0,      "height": 0,      "aspectRatio": 0,      "url": "string",      "postId": "string"    }  ],  "reactions": [    {      "id": "string",      "postId": "string",      "userId": "string",      "reaction": "string"    }  ],  "owner": {    "id": "string",    "name": "string",    "email": "string"  }}